VRELE(9)

NAME
vrele - decrement the use count for a vnode

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
int
vrele(struct vnode *vp);

DESCRIPTION
Decrement the v_usecount field of the vnode specified by vp.

Any code in the system which uses a vnode should call vrele() when it is finished with the vnode. If the v_usecount field of the vnode reaches zero, the vnode will be placed on the free list.

RETURN VALUES
vrele() returns 0 if it can guarantee that it did not sleep.

SEE ALSO
vget(9), vnode(9), vput(9), vref(9)

AUTHORS
This man page was originally written by Doug Rabson for FreeBSD.